Changeset 3493


Ignore:
Timestamp:
12/20/07 13:46:21 (12 years ago)
Author:
melissa
Message:

Don't allow setOpenAsHyperstack(false) on an instance of CompositeImage.

Location:
trunk/loci/plugins
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/loci/plugins/Colorizer.java

    r3480 r3493  
    250250      } 
    251251      newImp.setCalibration(calibration); 
    252       if (IJ.getVersion().compareTo("1.39l") >= 0) { 
     252      if (IJ.getVersion().compareTo("1.39l") >= 0 && 
     253        !(newImp instanceof CompositeImage)) 
     254      { 
    253255        newImp.setOpenAsHyperStack(hyperstack); 
    254256      } 
  • trunk/loci/plugins/Slicer.java

    r3480 r3493  
    157157        sliceT ? 1 : sizeT); 
    158158      p.setCalibration(calibration); 
    159       if (IJ.getVersion().compareTo("1.39l") >= 0) { 
     159      if (IJ.getVersion().compareTo("1.39l") >= 0 && 
     160        !(p instanceof CompositeImage)) 
     161      { 
    160162        p.setOpenAsHyperStack(hyperstack); 
    161163      } 
Note: See TracChangeset for help on using the changeset viewer.